#ifndef __pixels_h_
#define __pixels_h_

#include "curve.h"
#include "matrix.h"

void load_img(NCCAPixmap_t&,char*);
void copy_pixels(NCCAPixmap&, NCCAPixmap&);
curvy** spec_pixels(int w,int h);
void print_pixel(NCCAPixel& p);
void fit_range(NCCAPixmap& img);
void three_strip_cheap(NCCAPixmap& img);
void pix_mat(NCCAPixel& p, matrix mat);
void matrix_transform(NCCAPixmap& img, matrix mat);
void log_adjust(NCCAPixmap& img);
void log_adjust_pixel(NCCAPixel& p);
#endif

