#ifndef __point_h
	#define __point_h


#include <string>
#include <vector>

#define REALLY_SMALL 0.0001
#define PRINT_PIXEL_HD false
#define DELOG_HD false
#define FIT_HD false

#define RED 0
#define GREEN 1
#define BLUE 2

#define MINWL 380
#define BG 500
#define GR 600
#define MAXWL 780

#define RG
#define REDWL 670
#define GREENWL 550
#define BLUEWL 450

#define SRGB_XYZ 0
#define XYZ_SRGB 1
#define PAL_XYZ  2
#define RGB_CMY 3

/*simple point class for storing pairs of graph values*/

class point
{
public:
	double x,y;
	
	point();
	point(double _x, double _y);
	~point();
	
	void setx(double _x);
	void sety(double _y);
	void set(double _x, double _y);
	void printx();
	void printy();
	void print();
	
	point operator * (const point &rhs);
};

#endif





